Output (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.io.Output class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.io
Class Output

    java.lang.Object
      com.meyling.principia.io.Output

public class Output
extends Object

Output wrapping.

Version:
  $Revision: 1.5 $
Author:
  Michael Meyling

Constructor Summary
`Output(StringBuffer destination)` Constructs a new output object, based on a `StringBuffer`.

Method Summary
`void` | `write(char c)` Append character to output.
`void` | `write(int data)` Append data to output.
`void` | `write(Object data)` Append string representation of object to output.
`void` | `write(String data)` Append data to output.
`void` | `writeln()` Append new line to output.
`void` | `writeln(char c)` Append character to output.
`void` | `writeln(int data)` Append data to output.
`void` | `writeln(Object data)` Append string representation of object to output.
`void` | `writeln(String data)` Append data to output.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Output

    public Output(StringBuffer destination)

  Constructs a new output object, based on a `StringBuffer`.

Parameters:
  `destination` - to write to

Method Detail

### writeln

    public final void writeln()

  Append new line to output.

### write

    public final void write(String data)

  Append data to output.

  Parameters:
    `data` - data to append

### writeln

    public final void writeln(String data)

  Append data to output.

  Parameters:
    `data` - data to append

### write

    public final void write(int data)

  Append data to output.

  Parameters:
    `data` - data to append

### writeln

    public final void writeln(int data)

  Append data to output.

  Parameters:
    `data` - data to append

### write

    public final void write(char c)

  Append character to output.

  Parameters:
    `c` - character to append

### writeln

    public final void writeln(char c)

  Append character to output.

  Parameters:
    `c` - character to append

### write

    public final void write(Object data)

  Append string representation of object to output.

  Parameters:
    `data` - this object will be written to output

### writeln

    public final void writeln(Object data)

  Append string representation of object to output.

  Parameters:
    `data` - this object will be written to output

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.